; =====================================================
; ===================   CUSTOMOGL   ===================
; =====================================================

; Make sure saferoom gun selection is diverse
;modify:
;{
;	match:
;	{
;		"angles" "0 345 83"
;		"classname" "weapon_spawn"
;	}
;	replace:
;	{
;		"count" "4"
;		"weapon_selection" "any_smg"
;	}
;}
;{
;	match:
;	{
;		"angles" "0 71 -94"
;		"classname" "weapon_spawn"
;	}
;	replace:
;	{
;		"count" "4"
;		"weapon_selection" "tier1_shotgun"
;	}
;}

; extra vent on roof to reduce death-jockeys/death-chargers
; Comented out: In newest version of the map, there is a railing on the roof so this prop isn't really necessary except maybe to add an extra spawn
;add:
;{
;   "solid" "6"
;   "origin" "-5469 -6492 576"
;   "angles" "0 0 0"
;   "model" "models/props_rooftop/acvent04.mdl"
;   "classname" "prop_dynamic"
;}

; Remove all hittable dumpsters
filter:
{
	"classname" "prop_physics"
	"model" "models/props_junk/dumpster.mdl"
}

; Remove hittable car by sewer drop
filter:
{
	"targetname" "car3"
}

; Add props by sewer drop so it doesn't look so bare
add:
{
	"solid" "6"
	"origin" "1796 -8986 338"
	"angles" "0 90 0"
	"model" "models\props_junk\trashdumpster01a.mdl"
	"classname" "prop_dynamic"
}
{
	"solid" "6"
	"origin" "1600 -9260 311"
	"angles" "0 20 0"
	"model" "models/props_vehicles/van_interior.mdl"
	"classname" "prop_dynamic"
}

; Make it so the hallway in the apartment is blocked by boxes and stuff (usually randomly decided between teams)
modify:
{
	match:
	{
		"targetname" "aptblockcase"
	}
	delete:
	{
		"OnCase01" "aptclip1Kill0-1"
	}
}

; Make it so the sewer layout isn't random/different between teams
modify:
{
	match:
	{
		"targetname" "randomgate"
	}
	delete:
	{
		"OnCase01" "sewertemplate1aForceSpawn0-1"
	}
}
{
	match:
	{
		"targetname" "randomgate2"
	}
	delete:
	{
		"OnCase04" "sewertemplate2bForceSpawn0-1"
	}
}

; Prevent map from triggering natural hordes
modify:
{
	match:
	{
		"origin" "-5120 -7000 402"
		"filtername" "survivorfilter"
		"classname" "trigger_once"
	}
	delete:
	{
		"OnTrigger" "directorBeginScriptcdta03_passive0-1"
	}
	insert:
	{
		"OnTrigger" "directorBeginScriptcdta03_passive_promod0-1"
	}
}

; Add Pill Spawns
add:
{
	"origin" "-1143.356567 -7387.403809 196.859268"
	"angles" "0 0 0"
	"classname" "weapon_item_spawn"
	"spawnflags" "2"
	"item1" "0"
	"item2" "0"
	"item3" "0"
	"item4" "1"
	"item5" "0"
	"item6" "0"
	"item7" "0"
	"item8" "0"
	"item11" "0"
	"item12" "0"
	"item13" "0"
	"item16" "0"
	"item17" "0"
	"item18" "0"
}
{
	"origin" "-668.282898 -8470.629883 408.766296"
	"angles" "0 0 0"
	"classname" "weapon_item_spawn"
	"spawnflags" "2"
	"item1" "0"
	"item2" "0"
	"item3" "0"
	"item4" "1"
	"item5" "0"
	"item6" "0"
	"item7" "0"
	"item8" "0"
	"item11" "0"
	"item12" "0"
	"item13" "0"
	"item16" "0"
	"item17" "0"
	"item18" "0"
}
{
	"origin" "1870.845215 -10213.450195 146.031250"
	"angles" "0 0 0"
	"classname" "weapon_item_spawn"
	"spawnflags" "2"
	"item1" "0"
	"item2" "0"
	"item3" "0"
	"item4" "1"
	"item5" "0"
	"item6" "0"
	"item7" "0"
	"item8" "0"
	"item11" "0"
	"item12" "0"
	"item13" "0"
	"item16" "0"
	"item17" "0"
	"item18" "0"
}
{
	"origin" "2955.197021 -11948.389648 203.334473"
	"angles" "0 0 0"
	"classname" "weapon_item_spawn"
	"spawnflags" "2"
	"item1" "0"
	"item2" "0"
	"item3" "0"
	"item4" "1"
	"item5" "0"
	"item6" "0"
	"item7" "0"
	"item8" "0"
	"item11" "0"
	"item12" "0"
	"item13" "0"
	"item16" "0"
	"item17" "0"
	"item18" "0"
}
{
	"origin" "4704.116699 -11838.969727 214.031250"
	"angles" "0 0 0"
	"classname" "weapon_item_spawn"
	"spawnflags" "2"
	"item1" "0"
	"item2" "0"
	"item3" "0"
	"item4" "1"
	"item5" "0"
	"item6" "0"
	"item7" "0"
	"item8" "0"
	"item11" "0"
	"item12" "0"
	"item13" "0"
	"item16" "0"
	"item17" "0"
	"item18" "0"
}
{
	"origin" "6135.580078 -12778.946289 1150.556396"
	"angles" "0 0 0"
	"classname" "weapon_item_spawn"
	"spawnflags" "2"
	"item1" "0"
	"item2" "0"
	"item3" "0"
	"item4" "1"
	"item5" "0"
	"item6" "0"
	"item7" "0"
	"item8" "0"
	"item11" "0"
	"item12" "0"
	"item13" "0"
	"item16" "0"
	"item17" "0"
	"item18" "0"
}
